rm(list = ls())
library(shiny)
library(DT)
library(markdown)
library(plyr)
library(dplyr)
library(shinythemes)

## ui1 --> Halaman untuk Login
ui1 <- function(){
  shinyUI(fluidPage(
    theme = shinytheme("united"),
        tagList(div(id = "login",
        titlePanel("Silahkan Login"),
        wellPanel(textInput("userName", "Username"),
                  passwordInput("passwd", "Password"),
                  br(),actionButton("Login", "Log in"))),
    tags$style(type="text/css", "#login {font-size:14px;   
               text-align: left;
               position:absolute;
               top: 40%;
               left: 55%;
               margin-top: -90px;
               margin-left: -150px;
}")
    ))
  )
  }

## ui2 --> Halaman Manager
ui2 <- function(){
  fluidPage(
      img(src='monfis-fem.png'),#titlePanel("Monitoring Risiko Fiskal Daerah"),
      tagList(tags$style(type = 'text/css', 
                         '.navbar { width:151%;
                         font-family: Arial;
                         font-size: 14px;
                         color: #FF0000; }'),
              navbarPage("Indikator : ",
                         tabPanel("Ekonomi",icon = icon("certificate"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_e', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_e", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_e_pilih"),
                                      uiOutput("kota_e_pilih"),
                                      #selectInput("kota_e", "Kota/Kabupaten",
                                      #            choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                      #            width = '98%'),
                                      textInput("ind_e_1", "E1: Pertumbuhan Pengeluaran Infrastrukur (%):"),
                                      textInput("ind_e_2", "E2: Pertumbuhan Penerimaan Asli Daerah (%):"),
                                      textInput("ind_e_3", "E3: Persentase PDRB untuk Satu Sektor Tertinggi (%):"),
                                      textInput("ind_e_4", "E4: Persentase Tenaga Kerja yang Bekerja pada Sektor Tertinggi (%):"),
                                      textInput("ind_e_5", "E5: Pertumbuhan PDRB Perkapita (%):"),
                                      textInput("ind_e_6", "E6: Perubahan Tingkat Pengangguran (%):"),
                                      textInput("ind_e_7", "E7: Perubahan Jumlah Unit UMKM (%):"),
                                      textInput("ind_e_8", "E8: Indeks Kemahalan Daerah (%):"),
                                      actionButton("addRows_e", "Update Data"),
                                      actionButton("deleteRows_e", "Hapus Data")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_e"),
                                      actionButton('save_e',"Simpan Data"),
                                      downloadButton('download_e',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Keuangan",icon = icon("btc"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_u', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_u", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_u_pilih"),
                                      uiOutput("kota_u_pilih"),
                                      #selectInput("kota_u", "Kota/Kabupaten",
                                      #           choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                      #          width = '98%'),
                                      textInput("ind_u_1", "U1: Rasio Kemandirian Daerah (%):"),
                                      textInput("ind_u_2", "U2: Rasio Belanja Pegawai terhadap Total Belanja Daerah (%):"),
                                      textInput("ind_u_3", "U3: Besarnya Sisa Lebih Pagu Anggaran/SILPA (%):"),
                                      actionButton("addRows_u", "Update Data"),
                                      actionButton("deleteRows_u", "Hapus Data")
                                    ),
                                    mainPanel(
                                      
                                      DT::dataTableOutput("table_u"),
                                      actionButton('save_u',"Simpan Data"),
                                      downloadButton('download_u',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Kelembagaan",icon = icon("building"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_l', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_l", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_l_pilih"),
                                      uiOutput("kota_l_pilih"),
                                      #selectInput("kota_l", "Kota/Kabupaten",
                                      #           choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                      #          width = '98%'),
                                      textInput("ind_l_1", "L1: Persentase Dana Dialokasikan untuk Capacity Building (%):"),
                                      textInput("ind_l_2", "L2: Persentase Pimpinan SKPD yang Bearada pada Posisi yang Tetap (%):"),
                                      textInput("ind_l_3", "L3: Rasio Jumlah PNS Terhada Total Penduduk (%):"),
                                      actionButton("addRows_l", "Update Data"),
                                      actionButton("deleteRows_l", "Hapus Data")
                                    ),
                                    mainPanel(
                                      
                                      DT::dataTableOutput("table_l"),
                                      actionButton('save_l',"Simpan Data"),
                                      downloadButton('download_l',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Sosial",icon = icon("industry"),
                                  sidebarLayout(
                                    sidebarPanel(helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                                 fileInput('fileInput_s', 'Unggah File',
                                                           accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                                 actionButton("shows_s", "Tampilkan Data Unggah"),br(),br(),
                                                 helpText("Isi Data Perbaris:"),
                                                 uiOutput("tahun_s_pilih"),
                                                 uiOutput("kota_s_pilih"),
                                                 #selectInput("kota_s", "Kota/Kabupaten",
                                                 #           choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                 #          width = '98%'),
                                                 textInput("ind_s_1", "S1: Persentase Rumah Tangga/Desa Tanpa Listrik (%):"),
                                                 textInput("ind_s_2", "S2: Persentase Rumah Tangga/Desa Tanpa Air/PDAM (%):"),
                                                 textInput("ind_s_3", "S3: Persentase Masyarakat yang Tidak Memiliki Rumah (%):"),
                                                 textInput("ind_s_4", "S4: Perubahan Indeks Pembangunan Manusia :"),
                                                 textInput("ind_s_5", "S5: Perubahan Persentase Penduduk Miskin (%):"),
                                                 actionButton("addRows_s", "Update Data"),
                                                 actionButton("deleteRows_s", "Hapus Data")
                                    ),
                                    mainPanel(
                                      
                                      DT::dataTableOutput("table_s"),
                                      actionButton('save_s',"Simpan Data"),
                                      downloadButton('download_s',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Lingkungan",icon = icon("star"),
                                  sidebarLayout(
                                    sidebarPanel(helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                                 fileInput('fileInput_i', 'Unggah File',
                                                           accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                                 actionButton("shows_i", "Tampilkan Data Unggah"),br(),br(),
                                                 helpText("Isi Data Perbaris:"),
                                                 uiOutput("tahun_i_pilih"),
                                                 uiOutput("kota_i_pilih"),
                                                 #selectInput("kota_i", "Kota/Kabupaten",
                                                 #           choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                 #          width = '98%'),
                                                 textInput("ind_i_1", "I1: Persentase Dana yang Dialokasikan untuk Lingkungan terhadap Total Pengeluaran (%):"),
                                                 textInput("ind_i_2", "I2: Persentase Rumah/Desa yang berada di Kawasan Terkena Bencana (%):"),
                                                 actionButton("addRows_i", "Update Data"),
                                                 actionButton("deleteRows_i", "Hapus Data"),
                                                 helpText("\nUnggah Data untuk ditampilkan di Table")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_i"),
                                      actionButton('save_i',"Simpan Data"),
                                      downloadButton('download_i',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Lengkap",icon = icon("table"),
                                  mainPanel(
                                    h4("Indikator lengkap Monitoring Risiko Fiskal Daerah"),
                                    verbatimTextOutput("summary"),
                                    uiOutput("tahun_lengkap_pilih"),
                                    uiOutput("kota_lengkap_pilih"),
                                    #selectInput("kota_lengkap", "Kota/Kabupaten : ",
                                    #           choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                    #          width = '98%'),
                                    #textInput("thn_lengkap", "Tahun :"),
                                    #textInput("kota_lengkap", "Kota/Kabupaten : "),
                                    actionButton("get_data", "Get Data!"),
                                    actionButton("clear_data", "clear Data!"),
                                    br(),br(),br(),
                                    DT::dataTableOutput("table_lengkap"),
                                    actionButton('save_lengkap',"Simpan Data"),
                                    downloadButton('download_lengkap',"Unduh Data")
                                  )
                         ),
                         navbarMenu("Keterangan", icon = icon("info"),
                                    tabPanel("Parameter Aspek Ekonomi",
                                             mainPanel(img(src='ASPEK EKONOMI.png'))),
                                    tabPanel("Parameter Aspek Keuangan",
                                             mainPanel(img(src='ASPEK KEUANGAN.png'))),
                                    tabPanel("Parameter Aspek Kelembagaan",
                                             mainPanel(img(src='ASPEK KELEMBAGAAN.png'))),
                                    tabPanel("Parameter Aspek Sosial",
                                             mainPanel(img(src='ASPEK SOSIAL.png'))),
                                    tabPanel("Parameter Aspek Lingkungan",
                                             mainPanel(img(src='ASPEK LINGKUNGAN.png')))
                         ),
                         tabPanel("logout",icon = icon("table"),actionLink("logout", "Logout"))
      )
      )
    )
}

## ui3 --> Halaman guest
#_______________________
ui3 <- function(){
  fluidPage(
      img(src='monfis-fem.png'),#titlePanel("Monitoring Risiko Fiskal Daerah"),
      navbarPage("Indikator : ",
                 tabPanel("Ekonomi",icon = icon("certificate"),
                          mainPanel(
                            DT::dataTableOutput("table_e"),
                            downloadButton('download_e',"Unduh Data")
                          )
                 ),
                 tabPanel("Keuangan",icon = icon("btc"),
                          mainPanel(
                            DT::dataTableOutput("table_u"),
                            downloadButton('download_u',"Unduh Data")
                          )
                 ),
                 tabPanel("Kelembagaan",icon = icon("building"),
                          mainPanel(
                            DT::dataTableOutput("table_l"),
                            downloadButton('download_l',"Unduh Data")
                          )
                 ),
                 tabPanel("Sosial",icon = icon("industry"),
                          mainPanel(
                            DT::dataTableOutput("table_s"),
                            downloadButton('download_s',"Unduh Data")
                          )
                 ),
                 tabPanel("Lingkungan",icon = icon("star"),
                          mainPanel(
                            DT::dataTableOutput("table_i"),
                            downloadButton('download_i',"Unduh Data")
                          )
                 ),
                 tabPanel("Lengkap",icon = icon("table"),
                          mainPanel(
                            h4("Indikator lengkap Monitoring Risiko Fiskal Daerah"),
                            verbatimTextOutput("summary"),
                            br(),br(),br(),
                            DT::dataTableOutput("table_lengkap"),
                            downloadButton('download_lengkap',"Unduh Data")
                          )
                 ),
                 navbarMenu("Keterangan", icon = icon("info"),
                            tabPanel("Parameter Aspek Ekonomi",
                                     mainPanel(img(src='ASPEK EKONOMI.png'))),
                            tabPanel("Parameter Aspek Keuangan",
                                     mainPanel(img(src='ASPEK KEUANGAN.png'))),
                            tabPanel("Parameter Aspek Kelembagaan",
                                     mainPanel(img(src='ASPEK KELEMBAGAAN.png'))),
                            tabPanel("Parameter Aspek Sosial",
                                     mainPanel(img(src='ASPEK SOSIAL.png'))),
                            tabPanel("Parameter Aspek Lingkungan",
                                     mainPanel(img(src='ASPEK LINGKUNGAN.png')))
                 ),
                 tabPanel("logout",icon = icon("table"),actionLink("logout", "Logout"))
      )
    )
}

## ui4 --> Halaman Super Admin
ui4 <- function(){
  fluidPage(
      img(src='monfis-fem.png'),#titlePanel("Monitoring Risiko Fiskal Daerah"),
      tagList(tags$style(type = 'text/css', 
                   '.navbar { width:151%;
                   font-family: Arial;
                   font-size: 14px;
                   color: #FF0000; }'),
              navbarPage("Indikator : ",
                         tabPanel("Ekonomi",icon = icon("certificate"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_e', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_e", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_e_pilih"),
                                      selectInput("kota_e", "Kota/Kabupaten",
                                                  choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                  width = '98%'),
                                      textInput("ind_e_1", "E1: Pertumbuhan Pengeluaran Infrastrukur (%):"),
                                      textInput("ind_e_2", "E2: Pertumbuhan Penerimaan Asli Daerah (%):"),
                                      textInput("ind_e_3", "E3: Persentase PDRB untuk Satu Sektor Tertinggi (%):"),
                                      textInput("ind_e_4", "E4: Persentase Tenaga Kerja yang Bekerja pada Sektor Tertinggi (%):"),
                                      textInput("ind_e_5", "E5: Pertumbuhan PDRB Perkapita (%):"),
                                      textInput("ind_e_6", "E6: Perubahan Tingkat Pengangguran (%):"),
                                      textInput("ind_e_7", "E7: Perubahan Jumlah Unit UMKM (%):"),
                                      textInput("ind_e_8", "E8: Indeks Kemahalan Daerah (%):"),
                                      actionButton("addRows_e", "Update Data"),
                                      actionButton("deleteRows_e", "Hapus Data")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_e"),
                                      actionButton('save_e',"Simpan Data"),
                                      downloadButton('download_e',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Keuangan",icon = icon("btc"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_u', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_u", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_u_pilih"),
                                      selectInput("kota_u", "Kota/Kabupaten",
                                                  choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                  width = '98%'),
                                      textInput("ind_u_1", "U1: Rasio Kemandirian Daerah (%):"),
                                      textInput("ind_u_2", "U2: Rasio Belanja Pegawai terhadap Total Belanja Daerah (%):"),
                                      textInput("ind_u_3", "U3: Besarnya Sisa Lebih Pagu Anggaran/SILPA (%):"),
                                      actionButton("addRows_u", "Update Data"),
                                      actionButton("deleteRows_u", "Hapus Data")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_u"),
                                      actionButton('save_u',"Simpan Data"),
                                      downloadButton('download_u',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Kelembagaan",icon = icon("building"),
                                  sidebarLayout(
                                    sidebarPanel(
                                      helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                      fileInput('fileInput_l', 'Unggah File',
                                                accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                      actionButton("shows_l", "Tampilkan Data Unggah"),br(),br(),
                                      helpText("Isi Data Perbaris:"),
                                      uiOutput("tahun_l_pilih"),
                                      selectInput("kota_l", "Kota/Kabupaten",
                                                  choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                  width = '98%'),
                                      textInput("ind_l_1", "L1: Persentase Dana Dialokasikan untuk Capacity Building (%):"),
                                      textInput("ind_l_2", "L2: Persentase Pimpinan SKPD yang Bearada pada Posisi yang Tetap (%):"),
                                      textInput("ind_l_3", "L3: Rasio Jumlah PNS Terhada Total Penduduk (%):"),
                                      actionButton("addRows_l", "Update Data"),
                                      actionButton("deleteRows_l", "Hapus Data")
                                    ),
                                    mainPanel(
                                      
                                      DT::dataTableOutput("table_l"),
                                      actionButton('save_l',"Simpan Data"),
                                      downloadButton('download_l',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Sosial",icon = icon("industry"),
                                  sidebarLayout(
                                    sidebarPanel(helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                                 fileInput('fileInput_s', 'Unggah File',
                                                           accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                                 actionButton("shows_s", "Tampilkan Data Unggah"),br(),br(),
                                                 helpText("Isi Data Perbaris:"),
                                                 uiOutput("tahun_s_pilih"),
                                                 selectInput("kota_s", "Kota/Kabupaten",
                                                             choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                             width = '98%'),
                                                 textInput("ind_s_1", "S1: Persentase Rumah Tangga/Desa Tanpa Listrik (%):"),
                                                 textInput("ind_s_2", "S2: Persentase Rumah Tangga/Desa Tanpa Air/PDAM (%):"),
                                                 textInput("ind_s_3", "S3: Persentase Masyarakat yang Tidak Memiliki Rumah (%):"),
                                                 textInput("ind_s_4", "S4: Perubahan Indeks Pembangunan Manusia :"),
                                                 textInput("ind_s_5", "S5: Perubahan Persentase Penduduk Miskin (%):"),
                                                 actionButton("addRows_s", "Update Data"),
                                                 actionButton("deleteRows_s", "Hapus Data")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_s"),
                                      actionButton('save_s',"Simpan Data"),
                                      downloadButton('download_s',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Lingkungan",icon = icon("star"),
                                  sidebarLayout(
                                    sidebarPanel(helpText("\nUnggah Data untuk ditampilkan di Table:"),
                                                 fileInput('fileInput_i', 'Unggah File',
                                                           accept=c('text/csv', 'text/comma-separated-values,text/plain')),
                                                 actionButton("shows_i", "Tampilkan Data Unggah"),br(),br(),
                                                 helpText("Isi Data Perbaris:"),
                                                 uiOutput("tahun_i_pilih"),
                                                 selectInput("kota_i", "Kota/Kabupaten",
                                                             choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                             width = '98%'),
                                                 textInput("ind_i_1", "I1: Persentase Dana yang Dialokasikan untuk Lingkungan terhadap Total Pengeluaran (%):"),
                                                 textInput("ind_i_2", "I2: Persentase Rumah/Desa yang berada di Kawasan Terkena Bencana (%):"),
                                                 actionButton("addRows_i", "Update Data"),
                                                 actionButton("deleteRows_i", "Hapus Data"),
                                                 helpText("\nUnggah Data untuk ditampilkan di Table")
                                    ),
                                    mainPanel(
                                      
                                      DT::dataTableOutput("table_i"),
                                      actionButton('save_i',"Simpan Data"),
                                      downloadButton('download_i',"Unduh Data")
                                    )
                                  )
                         ),
                         tabPanel("Lengkap",icon = icon("table"),
                                  mainPanel(
                                    h4("Indikator lengkap Monitoring Risiko Fiskal Daerah"),
                                    verbatimTextOutput("summary"),
                                    uiOutput("tahun_lengkap_pilih"),
                                    selectInput("kota_lengkap", "Kota/Kabupaten : ",
                                                choices = c('Kab. Bogor', 'Kab. Merauke'), multiple= F, selectize=TRUE,
                                                width = '98%'),
                                    #textInput("thn_lengkap", "Tahun :"),
                                    #textInput("kota_lengkap", "Kota/Kabupaten : "),
                                    actionButton("get_data", "Get Data!"),
                                    actionButton("clear_data", "clear Data!"),
                                    br(),br(),br(),
                                    DT::dataTableOutput("table_lengkap"),
                                    actionButton('save_lengkap',"Simpan Data"),
                                    downloadButton('download_lengkap',"Unduh Data")
                                  )
                         ),
                         navbarMenu("Keterangan", icon = icon("info"),
                                    tabPanel("Parameter Aspek Ekonomi",
                                             mainPanel(img(src='ASPEK EKONOMI.png'))),
                                    tabPanel("Parameter Aspek Keuangan",
                                             mainPanel(img(src='ASPEK KEUANGAN.png'))),
                                    tabPanel("Parameter Aspek Kelembagaan",
                                             mainPanel(img(src='ASPEK KELEMBAGAAN.png'))),
                                    tabPanel("Parameter Aspek Sosial",
                                             mainPanel(img(src='ASPEK SOSIAL.png'))),
                                    tabPanel("Parameter Aspek Lingkungan",
                                             mainPanel(img(src='ASPEK LINGKUNGAN.png')))
                         ),
                         tabPanel("User Organizer",icon = icon("table"),
                                  sidebarLayout(
                                    sidebarPanel(helpText("\nInformasi User Login:"),
                                                 helpText("Isi Data Perbaris:"),
                                                 textInput("name_usr", "User Name:"),
                                                 textInput("pass_usr", "Password:"),
                                                 selectInput("role_usr", "Role",choices = c('supadmin', 'manager', 'user'), multiple= F, selectize=TRUE,width = '98%'),
                                                 selectInput("kota_usr", "Kota",choices = c('ALL', 'MRK', 'BGR'), multiple= F, selectize=TRUE,width = '98%'),
                                                 actionButton("addRows_usr", "Update Data"),
                                                 actionButton("deleteRows_usr", "Hapus Data")
                                    ),
                                    mainPanel(
                                      DT::dataTableOutput("table_user"),
                                      actionButton('save_user',"Simpan Data USer")
                                    )
                                  )
                         ),
                         tabPanel("logout",icon = icon("table"),actionLink("logout", "Logout"))
                         
              ))
    )
}

#_______________________
ui = (htmlOutput("page"))