# Custom table container untuk Indikator Ekonomi
sketch_e = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'E1'),
      th(class = 'dt-center', colspan = 2, 'E2'),
      th(class = 'dt-center', colspan = 2, 'E3'),
      th(class = 'dt-center', colspan = 2, 'E4'),
      th(class = 'dt-center', colspan = 2, 'E5'),
      th(class = 'dt-center', colspan = 2, 'E6'),
      th(class = 'dt-center', colspan = 2, 'E7'),
      th(class = 'dt-center', colspan = 2, 'E8'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 8), th)
    )
  )
)
)
values_e <- reactiveValues(dfWorking = readSQLite('df_e'))
output$table_e <- 
  DT::renderDataTable(
    {values_e$dfWorking}, container = sketch_e, server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE
  )

# Custom table container untuk Indikator Keuangan
sketch_u = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'U1'),
      th(class = 'dt-center', colspan = 2, 'U2'),
      th(class = 'dt-center', colspan = 2, 'U3'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 3), th))
  )
)
)
###
values_u <- reactiveValues(dfWorking = readSQLite('df_u'))
output$table_u <- 
  DT::renderDataTable(
    {values_u$dfWorking}, container = sketch_u,server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE
  )

# Custom table container untuk Indikator Kelembagaan
sketch_l = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'L1'),
      th(class = 'dt-center', colspan = 2, 'L2'),
      th(class = 'dt-center', colspan = 2, 'L3'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 3), th))
  )
)
)
###
values_l <- reactiveValues(dfWorking = readSQLite('df_l'))
output$table_l <- 
  DT::renderDataTable(
    {values_l$dfWorking}, container = sketch_l, server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE
  )

# Custom table container untuk Indikator Sosial
sketch_s = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'S1'),
      th(class = 'dt-center', colspan = 2, 'S2'),
      th(class = 'dt-center', colspan = 2, 'S3'),
      th(class = 'dt-center', colspan = 2, 'S4'),
      th(class = 'dt-center', colspan = 2, 'S5'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 5), th)
    )
  )
)
)
###
values_s <- reactiveValues(dfWorking = readSQLite('df_s'))
output$table_s <- 
  DT::renderDataTable(
    {values_s$dfWorking}, container = sketch_s, server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE
  )

# Custom table container untuk Indikator Lingkungan
sketch_i = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'I1'),
      th(class = 'dt-center', colspan = 2, 'I2'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 2), th))
  )
)
)
###
values_i <- reactiveValues(dfWorking = readSQLite('df_i'))
output$table_i <- 
  DT::renderDataTable(
    {values_i$dfWorking}, container = sketch_i, server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE)

# Custom table container untuk Indikator Lengkap
sketch_lengkap = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 2, 'Tahun'),
      th(rowspan = 2, 'Kota/Kabupaten'),
      th(class = 'dt-center', colspan = 2, 'Ekonomi'),
      th(class = 'dt-center', colspan = 2, 'Keuangan'),
      th(class = 'dt-center', colspan = 2, 'Kelembagaan'),
      th(class = 'dt-center', colspan = 2, 'Sosial'),
      th(class = 'dt-center', colspan = 2, 'Lingkungan'),
      th(rowspan = 2, 'Total Nilai'),
      th(rowspan = 2, 'Kondisi')
    ),
    tr(
      lapply(rep(c('Nilai', 'Kondisi'), 5), th)
    )
  )
))

values_lengkap <- reactiveValues(dfWorking = readSQLite('df_lengkap'))
output$table_lengkap <- 
  DT::renderDataTable( {values_lengkap$dfWorking}, container = sketch_lengkap, server = FALSE, 
                       options = list(pageLength = 20),
                       rownames= FALSE)

# Custom table container untuk User Organizer
sketch_user = htmltools::withTags(table(
  class = 'display',
  thead(
    tr(
      th(rowspan = 1, 'User Name'),
      th(rowspan = 1, 'Password'),
      th(rowspan = 1, 'Kota/Kab'),
      th(rowspan = 1, 'Role'))
  )
)
)
###
values_user_info <- reactiveValues(dfWorking = user_info)
output$table_user <- 
  DT::renderDataTable(
    {values_user_info$dfWorking}, container = sketch_user, server = FALSE, 
    options = list(pageLength = 20),
    rownames= FALSE
  )
